|  | Home · All Classes · Modules

# QDomProcessingInstruction Class Reference
[QtXml module]

The QDomProcessingInstruction class represents an XML processing instruction. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomProcessingInstruction)
- QString data (self)
- QDomNode.NodeType nodeType (self)
- setData (self, QString)
- QString target (self)

## Detailed Description

The QDomProcessingInstruction class represents an XML processing instruction.

Processing instructions are used in XML to keep processor-specific information in the text of the document.

The XML declaration that appears at the top of an XML document, typically `<?xml version='1.0' encoding='UTF-8'?>`, is treated by QDom as a processing instruction. This is unfortunate, since the XML declaration is not a processing instruction; among other differences, it cannot be inserted into a document anywhere but on the first line.

Do not use this function to create an xml declaration, since although it has the same syntax as a processing instruction, it isn't, and might not be treated by QDom as such.

The content of the processing instruction is retrieved with data() and set with setData(). The processing instruction's target is retrieved with target().

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomProcessingInstruction.__init__ (self)

Constructs an empty processing instruction. Use QDomDocument.createProcessingInstruction() to create a processing instruction with content.

### QDomProcessingInstruction.__init__ (self, QDomProcessingInstruction)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QString QDomProcessingInstruction.data (self)

Returns the content of this processing instruction.

See also setData() and target().

### QDomNode.NodeType QDomProcessingInstruction.nodeType (self)

Returns `ProcessingInstructionNode`.

### QDomProcessingInstruction.setData (self, QString)

Sets the data contained in the processing instruction to d.

See also data().

### QString QDomProcessingInstruction.target (self)

Returns the target of this processing instruction.

See also data().